import request from '@/utils/request'

// 查询相册管理列表
export function listAlbum(query) {
  return request({
    url: '/system/album/list',
    method: 'get',
    params: query
  })
}

// 查询相册管理详细
export function getAlbum(albumId) {
  return request({
    url: '/system/album/' + albumId,
    method: 'get'
  })
}

// 新增相册管理
export function addAlbum(data) {
  return request({
    url: '/system/album',
    method: 'post',
    data: data
  })
}

// 修改相册管理
export function updateAlbum(data) {
  return request({
    url: '/system/album',
    method: 'put',
    data: data
  })
}

// 删除相册管理
export function delAlbum(albumId) {
  return request({
    url: '/system/album/' + albumId,
    method: 'delete'
  })
}
// 获取相册素材
export function getAlbumImgList(query) {
  return request({
    url: '/system/album/materialList',
    method: 'get',
    params: query
  })
}
// 添加相册素材
export function AddAlbumImgList(data) {
  return request({
    url: '/system/album/saveMaterial',
    method: 'post',
    data: data
  })
}
// 删除相册管理
export function delAlbumImgList(ids) {
  return request({
    url: '/system/album/deleteMaterials/' + ids,
    method: 'delete'
  })
}